Skip to main content
POST
/
v1
/
volumes
/
{id}
/
file
Upload one file directly into a volume with a signed multipart grant
import requests

url = "https://api.13-215-85-171.sslip.io/v1/volumes/{id}/file"

files = { "file": ("example-file", open("example-file", "rb")) }

response = requests.post(url, files=files)

print(response.text)
{
  "error": "<string>",
  "error_detail": {
    "message": "<string>",
    "retryable": true,
    "suggested_action": "<string>",
    "step_index": 123,
    "attempt": 123,
    "max_attempts": 123,
    "cache_subject": "<string>",
    "build_id": "<string>",
    "request_id": "<string>",
    "details": {}
  },
  "request_id": "<string>",
  "build_id": "<string>"
}

Path Parameters

id
string
required

Volume ID

Query Parameters

grant
string
required

Signed short-lived direct volume file capability token.

Body

file
file

Response

File uploaded